/**
 * @file Route: <%= route.slug %>
 *
 * This file is compiled as a standalone entrypoint and it is included by
 * default in its blade template.
 */

import "layouts/main";
import route from "@acanto/core-barba/route";
// import "components/MyComponent";

const components = [];

/**
 * Standard route hook.
 * Called on route's DOM insertion (after DOM rendering)
 */
function mounted() {
  components.concat([
    
  ]);
}

/**
 * Standard route hook.
 * Called on route's DOM deletion
 */
function destroyed() {
  components.forEach(({ destroy }) => destroy());
}

// mounted();

// Standard required export
export default route(mounted, destroyed);
